# Uses of Interface
org.opensaml.soap.wstrust.RequestedProofToken

Packages that use RequestedProofToken
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestedProofToken in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestedProofToken
Modifier and Type
Class
Description
`class`
`RequestedProofTokenImpl`
RequestedProofTokenImpl.
Methods in org.opensaml.soap.wstrust.impl that return RequestedProofToken
Modifier and Type
Method
Description
`RequestedProofToken`
RequestedProofTokenBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestedProofToken`
RequestedProofTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.